1. Core
Spicy API: NSFW AI Image and Video Generation API Docs
  • Core
    • List Models
      GET
    • Get Account
      GET
  • Images
    • Create Image
      POST
    • Edit Image
      POST
    • List Images
      GET
  • Moderation
    • Check a Prompt
      POST
  • Video
    • Create Video
      POST
    • Get Video Task
      GET
  • Chat
    • Create Chat Completion
      POST
  • Agent tools
    • List every agent tool with its argument schema, whether it is guarded (needs approval_token) and whether it works with no balance.
      GET
    • List models
      POST
    • Estimate cost
      POST
    • Get account
      POST
    • List images
      POST
    • Generate image
      POST
    • Edit image
      POST
    • Generate video
      POST
    • Get job
      POST
    • List jobs
      POST
    • Get usage
      POST
    • Create API key
      POST
    • Revoke API key
      POST
    • Get top-up link
      POST
    • Set spend limit
      POST
    • Read acceptable use policy
      POST
  1. Core

Get Account

GET
https://api.spicyapi.com/v1/account
Read your balance and account status.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or

Responses

🟢200
application/json
Successful Response
Bodyapplication/json

🟠400
🟠401
🟠402
🟠422
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.spicyapi.com/v1/account' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "email": "you@example.com",
    "balance_usd": 42.75
}
Modified at 2026-09-21 21:07:45
Previous
List Models
Next
Create Image
Built with